Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## structure
Class LoadStructure

    java.lang.Object
      structure.LoadStructure

    public class LoadStructure

extends Object

a simple demo to demonstrating how to load a PDB file

Author:
  Andreas Prlic

Constructor Summary
`LoadStructure()`

Method Summary
`org.biojava.bio.structure.Structure` | `loadStructure(String pathToPDBFile)`
`org.biojava.bio.structure.Structure` | `loadStructureById()` access a structure from a directory by using a PDB code.
`static void` | `main(String[] args)`
`org.biojava.bio.structure.Structure` | `readStructureFromStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadStructure

    public LoadStructure()

Method Detail

### main

    public static void main(String[] args)

### loadStructureById

    public org.biojava.bio.structure.Structure loadStructureById()

  access a structure from a directory by using a PDB code. The PDBFileReader class takes care of compressed PDB files

  Parameters:
    `pdbCode` -
  Returns:

### loadStructure

    public org.biojava.bio.structure.Structure loadStructure(String pathToPDBFile)

### readStructureFromStream

    public org.biojava.bio.structure.Structure readStructureFromStream()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD